# Class Display

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a display used to present or output information to the user.

    public class Display

Inheritance
  object
  Display

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### DisplayConfig

    public DisplayConfig? DisplayConfig { get; set; }

#### Property Value

DisplayConfig

### DisplayConfigId

    public ObjectId? DisplayConfigId { get; set; }

#### Property Value

ObjectId?

### Id

    public ObjectId Id { get; set; }

#### Property Value

ObjectId

### Name

    public required string Name { get; set; }

#### Property Value

string

### PointOfCareIdList

    public List<ObjectId> PointOfCareIdList { get; set; }

#### Property Value

List<ObjectId>

### PointOfCares

    public List<PointOfCare> PointOfCares { get; set; }

#### Property Value

List<PointOfCare>

### Type

    public DisplayConfigEnums.DisplayType Type { get; set; }

#### Property Value

DisplayConfigEnums.DisplayType

### Unit

    public Unit? Unit { get; set; }

#### Property Value

Unit

### UnitId

    public ObjectId UnitId { get; set; }

#### Property Value

ObjectId